using System;
using System.Data;
using System.Data.SqlClient;

namespace VoServices.Footprint.Web
{
	/// <summary>
	/// Summary description for BaseControl.
	/// </summary>
	public class BaseControl : System.Web.UI.UserControl
	{

		protected SqlConnection _databaseConnection = null;

		public BaseControl()
		{
		}

		public SqlConnection DatabaseConnection
		{
			get
			{				
				return ((BasePage) Page).DatabaseConnection;
			}
		}

		public DataSet ExecuteCommand(SqlCommand cmd)
		{
			return ((BasePage) Page).ExecuteCommand(cmd);
		}

		public void ExecuteCommandNonquery(SqlCommand cmd)
		{
			((BasePage) Page).ExecuteCommandNonquery(cmd);
		}
	}
}
